axipcie: XAxiPcie Struct Reference

| axipcie Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XAxiPcie Struct Reference
Axipcie_v3_1

The XAxiPcie driver instance data. More...

## Data Fields
XAxiPcie_Config | Config
| Configuration data. More...
u32 | IsReady
| Is IP been initialized and ready. More...
u32 | MaxNumOfBuses
| If this is RC IP, Max Number of Buses. More...

## Detailed Description

The XAxiPcie driver instance data.

The user is required to allocate a variable of this type for every PCIe device in the system that will be using this API. A pointer to a variable of this type is passed to the driver API functions defined here.

## Field Documentation

XAxiPcie_Config XAxiPcie::Config

Configuration data.

Referenced by PcieInitRootComplex(), XAxiPcie_CfgInitialize(), XAxiPcie_ClearPendingInterrupts(), XAxiPcie_ClearRootPortErrFIFOMsg(), XAxiPcie_ClearRootPortIntFIFOReg(), XAxiPcie_DisableGlobalInterrupt(), XAxiPcie_DisableInterrupts(), XAxiPcie_EnableGlobalInterrupt(), XAxiPcie_EnableInterrupts(), XAxiPcie_GetBridgeInfo(), XAxiPcie_GetEnabledInterrupts(), XAxiPcie_GetLocalBusBar2PcieBar(), XAxiPcie_GetPendingInterrupts(), XAxiPcie_GetPhyStatusCtrl(), XAxiPcie_GetRequesterId(), XAxiPcie_GetRootPortErrFIFOMsg(), XAxiPcie_GetRootPortIntFIFOReg(), XAxiPcie_GetRootPortStatusCtrl(), XAxiPcie_GetVsecCapability(), XAxiPcie_GetVsecHeader(), XAxiPcie_ReadLocalConfigSpace(), XAxiPcie_ReadRemoteConfigSpace(), XAxiPcie_SetLocalBusBar2PcieBar(), XAxiPcie_SetRootPortMSIBase(), XAxiPcie_SetRootPortStatusCtrl(), XAxiPcie_WriteLocalConfigSpace(), and XAxiPcie_WriteRemoteConfigSpace().

u32 XAxiPcie::IsReady

Is IP been initialized and ready.

Referenced by XAxiPcie_CfgInitialize(), XAxiPcie_ClearPendingInterrupts(), XAxiPcie_ClearRootPortErrFIFOMsg(), XAxiPcie_ClearRootPortIntFIFOReg(), XAxiPcie_DisableGlobalInterrupt(), XAxiPcie_DisableInterrupts(), XAxiPcie_EnableGlobalInterrupt(), XAxiPcie_EnableInterrupts(), XAxiPcie_GetBridgeInfo(), XAxiPcie_GetEnabledInterrupts(), XAxiPcie_GetPendingInterrupts(), XAxiPcie_GetPhyStatusCtrl(), XAxiPcie_GetRequesterId(), XAxiPcie_GetRootPortErrFIFOMsg(), XAxiPcie_GetRootPortIntFIFOReg(), XAxiPcie_GetRootPortStatusCtrl(), XAxiPcie_GetVsecCapability(), XAxiPcie_GetVsecHeader(), XAxiPcie_ReadLocalConfigSpace(), XAxiPcie_ReadRemoteConfigSpace(), XAxiPcie_SetRootPortMSIBase(), XAxiPcie_SetRootPortStatusCtrl(), XAxiPcie_WriteLocalConfigSpace(), and XAxiPcie_WriteRemoteConfigSpace().

u32 XAxiPcie::MaxNumOfBuses

If this is RC IP, Max Number of Buses.

Referenced by XAxiPcie_CfgInitialize(), XAxiPcie_ReadRemoteConfigSpace(), and XAxiPcie_WriteRemoteConfigSpace().